//+------------------------------------------------------------------+
//|                                                 VininI_MV_MA.mq4 |
//|                                  opyright 2008. Victor Nicolaev |
//|                                                    vinin.ucoz.ru |
//+------------------------------------------------------------------+
#property copyright "opyright 2008. Victor Nicolaev"
#property link      "vinin.ucoz.ru"

/*

       : Vma=((ma1-man)/n)/tn;

 tn        , 
 n   

  WPR     : Vret = ((ret1-retn)/n)/tn;

1. ,       WPR:  Vma/ Vret= k;
         ,       WPR 
    ,           .

*/

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Aqua


//---- input parameters


extern int     MA_Period   = 5;
extern int     MA_Method   = 0;
extern int     MA_Price    = 0;

extern int     WPR_Period   = 5;

extern int     CountBar     =10;

extern int     Limit    =1440;

double Vector[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
   SetIndexStyle(0,DRAW_LINE);
   SetIndexDrawBegin(0,MathMax(MA_Period,WPR_Period)+CountBar);
   SetIndexBuffer(0,Vector);
   return(0); }

//+------------------------------------------------------------------+
int start() {
   int limit;
   int counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   if (limit>Limit && Limit>0) limit = Limit;
   for (int i = limit;i>=0;i--){
      double MA = (  iMA(  NULL, 0, MA_Period, 0, MA_Method, MA_Price, i+0) -
                     iMA(  NULL, 0, MA_Period, 0, MA_Method, MA_Price, i+CountBar))/Point;
      double WPR= (iWPR(   NULL, 0, WPR_Period, i+0)-
                   iWPR(   NULL, 0, WPR_Period, i+CountBar));
      if (WPR==0) WPR=0.000001;
      Vector[i]=MA/WPR;

   }
   

   return(0); 
}// int start()


